Subject: Get rid of old watch!

From: " Kink-archive" <[email-masked] >
Date: Fri, 6 Jul 2007 12:34:28 +0900

Time to get rid of your old watch and get yourself a new luxury timepiece!
Why pay more for the same blameless quality? Our prices will please you!
All the most popular brands always in stock – waiting for you!
http://slonoima.com